Subject: bug#1291: 23.0.60; 1) resize-mini-windows: customizable, 2) if grow mini, grow Completions

From: "Drew Adams" <[email-masked]>
Date: Sun, 2 Nov 2008 07:12:03 -0800

> From: Drew Adams Sent: Sunday, November 02, 2008 6:50 AM
> >  > emacs -Q
> >  > M-x load-library tmm
> >  > M-x tmm-menubar
> >  >
> >  > You'll see that not all candidates in *Completions* are 
> >  > visible. This is true in spite of the fact that `tmm-menubar'
> >  > calls Electric-pop-up-window' which correctly fits the 
> >  > *Completions* window to the buffer.
> > 
> > IIUC, the *Completions* window is not shrunk any more due to
> > 
> > 2008-10-29  Chong Yidong  <[email-masked]>
> > 	* electric.el (Electric-pop-up-window): Don't shrink 
> >     the window if it's already big enough.
> > 
> > So please retry with the latest version of electric.el.
> 
> Hey, you guys are way ahead of me again. ;-)
> Looks good. Thanks!

Ooops. I wrote that before I actually tried it. ;-) Actually, it's worse than
before: cuts off more of the candidates in *Completions*.

I forgot to mention in the recipe above to resize the frame so that it is only,
say, 40 chars wide (keeping the height the same). Do that before calling
`tmm-menubar'.

Previously (2008-10-09 build), the *Completions* buffer showed all of the
candidates through `s==>Subdir', e.g. when I try it in a Dired buffer. It only
left out one line, with the candidate `h==>Help'. Now, *Completions* leaves out
all of these candidates:

t==>Tools
o==>Operate
m==>Mark
r==>Regexp
i==>Immediate
s==>Subdir
h==>Help

Before, *Completions* is 22 screen lines high (with frame width 40 and height
43. Now, it is only 17 screen lines high. It's as if *Completions* were not fit
to the candidates at all now.

See attached screenshot. On the left is the 2008-10-09 build; on the right is
the same 2008-10-09 build, but after loading today's CVS version of electric.el.

Sorry for the bad news. Thx - Drew